Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gotdns.jimula.EatHealthy
Class CalculateServing

    java.lang.Object
      |
      +--com.gotdns.jimula.EatHealthy.CalculateServing

public class CalculateServing
extends java.lang.Object

CalculateServing is an object which calculates food serving depend on personal nutrient need. It is evoked by ServingPanel.

EatHealthy

A simple personal nutrient need and food serving calculator

Copyright (c) 2003

See Also:
  `ServingPanel`

Constructor Summary
`CalculateServing(int milk_serving, java.lang.String milk_quantity, int vegetable_serving, int fruit_serving, java.lang.String meat_quantity, float protein, float fat, float carb)` Constructs a new CalculateServing object and calculate food serving.

Method Summary
`int` | `getFruitCarb()` Get fruit carbohydrate contents of actual serving
`int` | `getMeatServing()` Get meat serving
`int` | `getMilkCarb()` Get milk carbohydrate contents of actual serving
`int` | `getMilkFat()` Get milk fat contents of actual serving
`int` | `getMilkProtein()` Get milk protein
`int` | `getOilServing()` Get oil serving
`int` | `getStarchesServing()` Get starches serving
`int` | `getVegetableCarb()` Get vegetable carbohydrate contents of actual serving
`int` | `getVegetableProtein()` Get vegetable protein contents of actual serving

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalculateServing

    public CalculateServing(int milk_serving,
                            java.lang.String milk_quantity,
                            int vegetable_serving,
                            int fruit_serving,
                            java.lang.String meat_quantity,
                            float protein,
                            float fat,
                            float carb)

  Constructs a new CalculateServing object and calculate food serving.

Parameters:
  `milk_serving` - serving of milk
  `milk_quantity` - fat contents of milk
  `vegetable_serving` - serving of vegetable
  `fruit_serving` - serving of fruit
  `meat_quantity` - fat contents of meat
  `protein` - contents of protein
  `fat` - contents of fat
  `carb` - contents of carbohydrate

Method Detail

### getStarchesServing

    public int getStarchesServing()

  Get starches serving

  Returns:
    a integer with starches serving

### getMeatServing

    public int getMeatServing()

  Get meat serving

  Returns:
    a integer with meat serving

### getOilServing

    public int getOilServing()

  Get oil serving

  Returns:
    a integer with oil serving

### getMilkProtein

    public int getMilkProtein()

  Get milk protein

  Returns:
    a integer with milk serving

### getMilkFat

    public int getMilkFat()

  Get milk fat contents of actual serving

  Returns:
    a integer with fat contents

### getMilkCarb

    public int getMilkCarb()

  Get milk carbohydrate contents of actual serving

  Returns:
    a integer with carbohydrate contents

### getVegetableProtein

    public int getVegetableProtein()

  Get vegetable protein contents of actual serving

  Returns:
    a integer with protein contents

### getVegetableCarb

    public int getVegetableCarb()

  Get vegetable carbohydrate contents of actual serving

  Returns:
    a integer with carbohydrate contents

### getFruitCarb

    public int getFruitCarb()

  Get fruit carbohydrate contents of actual serving

  Returns:
    a integer with carbohydrate contents

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD